package com.mobvcasting.activitytoactivity;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;

public class OtherActivity extends Activity implements OnClickListener {

	Button button3, button4;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // we have created an xml file called other.xml for the interface
        setContentView(R.layout.other);
        
        button3 = (Button) this.findViewById(R.id.Button03);
        button4 = (Button) this.findViewById(R.id.Button04);
        
        button3.setOnClickListener(this);
        button4.setOnClickListener(this);

        // Get the extras that have been passed in
        Bundle extras = getIntent().getExtras();
        
        // Let's find out which button was pushed to get us here
        if (extras.containsKey("buttonpushed")) {
        	int pushedButton = extras.getInt("buttonpushed");
        	
        	Toast t = Toast.makeText(this, "Button " + pushedButton + " was pushed", Toast.LENGTH_SHORT);
        	t.show();
        }
    }

	public void onClick(View v) {
		if (v == button3) {
			Intent resultData = new Intent();
			resultData.putExtra("otherpushedbutton", 3);			
			setResult(Activity.RESULT_OK, resultData);
			finish();
		} else if (v == button4) {
			Intent resultData = new Intent();
			resultData.putExtra("otherpushedbutton", 4);			
			setResult(Activity.RESULT_OK, resultData);
			finish();
		}
	}

}
